> For a complete page index, fetch https://docs.transak.com/llms.txt

# Get VBA by ID

GET https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/{virtualBankId}

Fetch a Virtual Bank Account (VBA) by virtual bank ID.

Reference: https://docs.transak.com/api/whitelabel/stream-on-ramp/get-virtual-bank-account-by-id

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: whitelabel-api
  version: 1.0.0
paths:
  /api/v2/onramp-stream/vba/{virtualBankId}:
    get:
      operationId: get-virtual-bank-account-by-id
      summary: Get VBA by ID
      description: Fetch a Virtual Bank Account (VBA) by virtual bank ID.
      tags:
        - ''
      parameters:
        - name: virtualBankId
          in: path
          description: Generated Virtual Bank Identifier
          required: true
          schema:
            type: string
        - name: x-user-ip
          in: header
          description: >-
            End user's originating IP. More details
            [here](/guides/mandatory-security-changes#user-ip-header-in-apis)
          required: true
          schema:
            type: string
        - name: x-api-key
          in: header
          description: >-
            Your Partner API key. You can find this in the [Partner
            Dashboard](https://docs.transak.com/guides/how-to-create-partner-dashboard-account#open-the-developers-section).
          required: true
          schema:
            type: string
        - name: authorization
          in: header
          description: >-
            The authorization token is the accessToken returned by the

            [WhiteLabel API -
            api/v2/auth/verify](/api/whitelabel/user/verify-user-otp)


            Note: This is not applicable for [Auth Reliance
            Flows](/features/auth-reliance)
          required: false
          schema:
            type: string
            default: YOUR_USER_AUTH_TOKEN
        - name: x-user-identifier
          in: header
          description: >-
            Your authenticated user Email Id address.


            Note: This is applicable only for [Auth Reliance
            Flows](/features/auth-reliance)
          required: false
          schema:
            type: string
            default: USER_EMAIL_ID
        - name: x-access-token
          in: header
          description: >-
            Your Partner Access Token. Please refer
            [here](/guides/how-to-create-partner-access-token) for a tutorial on
            generating your access token. 


            Note: This is applicable only for [Auth Reliance
            Flows](/features/auth-reliance)
          required: false
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/get-virtual-bank-account-by-id_Response_200
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Get-virtual-bank-account-by-idRequestBadRequestError
        '404':
          description: 404 - User Not Found
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Get-virtual-bank-account-by-idRequestNotFoundError
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Get-virtual-bank-account-by-idRequestInternalServerError
servers:
  - url: https://api-gateway-stg.transak.com
    description: Staging
components:
  schemas:
    ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        id:
          type: string
          description: Generated Virtual Bank Identifier
        userId:
          type: string
          description: Transak user identifier
        partnerApiKey:
          type: string
          description: Partner API key identifier
        partnerCustomerId:
          type: string
          description: Partner customer identifier
        status:
          type: string
          description: Current VBA status
        source:
          type: object
          additionalProperties:
            description: Any type
          description: Source bank details mapped to this VBA
        destination:
          type: object
          additionalProperties:
            description: Any type
          description: Destination crypto transfer details
      title: >-
        ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaData
    get-virtual-bank-account-by-id_Response_200:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaData
      title: get-virtual-bank-account-by-id_Response_200
    ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaError:
      type: object
      properties:
        statusCode:
          type: integer
        message:
          type: string
      required:
        - statusCode
        - message
      title: >-
        ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaError
    Get-virtual-bank-account-by-idRequestBadRequestError:
      type: object
      properties:
        error:
          $ref: >-
            #/components/schemas/ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaError
      required:
        - error
      title: Get-virtual-bank-account-by-idRequestBadRequestError
    Get-virtual-bank-account-by-idRequestNotFoundError:
      type: object
      properties:
        error:
          $ref: >-
            #/components/schemas/ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaError
      required:
        - error
      title: Get-virtual-bank-account-by-idRequestNotFoundError
    Get-virtual-bank-account-by-idRequestInternalServerError:
      type: object
      properties:
        error:
          $ref: >-
            #/components/schemas/ApiV2OnrampStreamVbaVirtualBankIdGetResponsesContentApplicationJsonSchemaError
      required:
        - error
      title: Get-virtual-bank-account-by-idRequestInternalServerError

```

## Examples

### USD-Success



**Response**

```json
{
  "data": {
    "id": "698475e474c810f090ee01fd",
    "status": "ACTIVE",
    "source": {
      "fiatCurrency": "USD",
      "bankAccount": {
        "type": "account_number",
        "value": "359309664407"
      },
      "bankLocalCode": {
        "type": "routing_number",
        "value": "021000021"
      }
    },
    "destination": {
      "cryptoCurrency": "ETH",
      "walletAddress": "0xC8CD2BE653759aed7B0996315821AAe71e1FEAdF",
      "network": "ethereum",
      "memoTag": "test"
    }
  }
}
```

**SDK Code**

```python USD-Success
import requests

url = "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId"

headers = {
    "x-user-ip": "",
    "x-api-key": ""
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript USD-Success
const url = 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId';
const options = {method: 'GET', headers: {'x-user-ip': '', 'x-api-key': ''}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go USD-Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-user-ip", "")
	req.Header.Add("x-api-key", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby USD-Success
require 'uri'
require 'net/http'

url = URI("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-user-ip"] = ''
request["x-api-key"] = ''

response = http.request(request)
puts response.read_body
```

```java USD-Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")
  .header("x-user-ip", "")
  .header("x-api-key", "")
  .asString();
```

```php USD-Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId', [
  'headers' => [
    'x-api-key' => '',
    'x-user-ip' => '',
  ],
]);

echo $response->getBody();
```

```csharp USD-Success
using RestSharp;

var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId");
var request = new RestRequest(Method.GET);
request.AddHeader("x-user-ip", "");
request.AddHeader("x-api-key", "");
IRestResponse response = client.Execute(request);
```

```swift USD-Success
import Foundation

let headers = [
  "x-user-ip": "",
  "x-api-key": ""
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### EUR-Success



**Response**

```json
{
  "data": {
    "id": "698475e474c810f090ee01fd",
    "status": "ACTIVE",
    "source": {
      "fiatCurrency": "EUR",
      "bankAccount": {
        "type": "iban",
        "value": "GB58SEOU19870010411513"
      },
      "bankLocalCode": {
        "type": "bic",
        "value": "CFTEMTM1"
      }
    },
    "destination": {
      "cryptoCurrency": "ETH",
      "walletAddress": "0xC8CD2BE653759aed7B0996315821AAe71e1FEAdF",
      "network": "ethereum",
      "memoTag": "test"
    }
  }
}
```

**SDK Code**

```python EUR-Success
import requests

url = "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId"

headers = {
    "x-user-ip": "",
    "x-api-key": ""
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript EUR-Success
const url = 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId';
const options = {method: 'GET', headers: {'x-user-ip': '', 'x-api-key': ''}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go EUR-Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-user-ip", "")
	req.Header.Add("x-api-key", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby EUR-Success
require 'uri'
require 'net/http'

url = URI("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-user-ip"] = ''
request["x-api-key"] = ''

response = http.request(request)
puts response.read_body
```

```java EUR-Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")
  .header("x-user-ip", "")
  .header("x-api-key", "")
  .asString();
```

```php EUR-Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId', [
  'headers' => [
    'x-api-key' => '',
    'x-user-ip' => '',
  ],
]);

echo $response->getBody();
```

```csharp EUR-Success
using RestSharp;

var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId");
var request = new RestRequest(Method.GET);
request.AddHeader("x-user-ip", "");
request.AddHeader("x-api-key", "");
IRestResponse response = client.Execute(request);
```

```swift EUR-Success
import Foundation

let headers = [
  "x-user-ip": "",
  "x-api-key": ""
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### GBP-Success



**Response**

```json
{
  "data": {
    "id": "698475e474c810f090ee01fd",
    "status": "ACTIVE",
    "source": {
      "fiatCurrency": "GBP",
      "bankAccount": {
        "type": "account_number",
        "value": "00083038"
      },
      "bankLocalCode": {
        "type": "sort_code",
        "value": "040509"
      }
    },
    "destination": {
      "cryptoCurrency": "ETH",
      "walletAddress": "0xC8CD2BE653759aed7B0996315821AAe71e1FEAdF",
      "network": "ethereum",
      "memoTag": "test"
    }
  }
}
```

**SDK Code**

```python GBP-Success
import requests

url = "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId"

headers = {
    "x-user-ip": "",
    "x-api-key": ""
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript GBP-Success
const url = 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId';
const options = {method: 'GET', headers: {'x-user-ip': '', 'x-api-key': ''}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go GBP-Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-user-ip", "")
	req.Header.Add("x-api-key", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby GBP-Success
require 'uri'
require 'net/http'

url = URI("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-user-ip"] = ''
request["x-api-key"] = ''

response = http.request(request)
puts response.read_body
```

```java GBP-Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")
  .header("x-user-ip", "")
  .header("x-api-key", "")
  .asString();
```

```php GBP-Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId', [
  'headers' => [
    'x-api-key' => '',
    'x-user-ip' => '',
  ],
]);

echo $response->getBody();
```

```csharp GBP-Success
using RestSharp;

var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId");
var request = new RestRequest(Method.GET);
request.AddHeader("x-user-ip", "");
request.AddHeader("x-api-key", "");
IRestResponse response = client.Execute(request);
```

```swift GBP-Success
import Foundation

let headers = [
  "x-user-ip": "",
  "x-api-key": ""
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### INR-Success



**Response**

```json
{
  "data": {
    "id": "68a310bd0cf73b71cd1ebc52",
    "userId": "fb9fcd34-9fe6-4559-8f3b-c3107bbf8d0f",
    "partnerApiKey": "546fcd93-f40e-4a52-be30-65dfee2dfc06",
    "partnerCustomerId": "60f2bd86-f9e0-478a-b30a-fae8316ab20c",
    "status": "ACTIVE",
    "source": {
      "fiatCurrency": "GBP",
      "bankAccount": {
        "type": "account_number",
        "value": "00082018"
      },
      "bankLocalCode": {
        "type": "ifscCode",
        "value": "040509"
      },
      "remitterAccountDetails": [
        {
          "accountNumber": "54455678892",
          "ifscCode": "ICIC8892",
          "bankName": "ICICI Bank"
        }
      ]
    },
    "destination": {
      "cryptoCurrency": "ETH",
      "walletAddress": "0xE99B71B9a035102432e30F47843746e646737b12",
      "memoTag": "test",
      "network": "ethereum"
    }
  }
}
```

**SDK Code**

```python INR-Success
import requests

url = "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId"

headers = {
    "x-user-ip": "",
    "x-api-key": ""
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript INR-Success
const url = 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId';
const options = {method: 'GET', headers: {'x-user-ip': '', 'x-api-key': ''}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go INR-Success
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-user-ip", "")
	req.Header.Add("x-api-key", "")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby INR-Success
require 'uri'
require 'net/http'

url = URI("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-user-ip"] = ''
request["x-api-key"] = ''

response = http.request(request)
puts response.read_body
```

```java INR-Success
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")
  .header("x-user-ip", "")
  .header("x-api-key", "")
  .asString();
```

```php INR-Success
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId', [
  'headers' => [
    'x-api-key' => '',
    'x-user-ip' => '',
  ],
]);

echo $response->getBody();
```

```csharp INR-Success
using RestSharp;

var client = new RestClient("https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId");
var request = new RestRequest(Method.GET);
request.AddHeader("x-user-ip", "");
request.AddHeader("x-api-key", "");
IRestResponse response = client.Execute(request);
```

```swift INR-Success
import Foundation

let headers = [
  "x-user-ip": "",
  "x-api-key": ""
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-gateway-stg.transak.com/api/v2/onramp-stream/vba/virtualBankId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```